Bug 1023133 - hammer: template create --help formatted incorrectly.
hammer: template create --help formatted incorrectly.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Katello QA List
http://projects.theforeman.org/issues...
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 13:07 EDT by Corey Welton
Modified: 2016-04-22 10:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:14:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3517 None None None 2016-04-22 10:59 EDT

  None (edit)
Description Corey Welton 2013-10-24 13:07:23 EDT
Description of problem:

more --help text being incorrectly formatted.

Version-Release number of selected component (if applicable):

Satellite-6.0.2-RHEL-6-20131023.1

How reproducible:


Steps to Reproduce:
hammer -u admin -p admin template create --help


Actual results:
Usage:
    hammer template create [OPTIONS]

Options:
    --file TEMPLATE               Path to a file that contains the template
    --type TYPE                   Template type. Eg. snippet, script, provision
    --name NAME                   
                                  template name
    --audit-comment AUDIT_COMMENT  
    --operatingsystem-ids OPERATINGSYSTEM_IDS 
                                  Array of operating systems ID to associate the template with
    -h, --help                    print help


Expected results:

Usage:
    hammer template create [OPTIONS]

Options:
    --file TEMPLATE               Path to a file that contains the template
    --type TYPE                   Template type. Eg. snippet, script, provision
    --name NAME                   template name
    --audit-comment AUDIT_COMMENT  
    --operatingsystem-ids OPERATINGSYSTEM_IDS 
                                  Array of operating systems ID to associate the template with
    -h, --help                    print help

Additional info:
Comment 2 Dominic Cleal 2014-01-09 08:46:40 EST
Fixed in hammer-cli 0.0.9
Comment 6 Corey Welton 2014-05-05 16:10:05 EDT
Verified, I guess, in Satellite-6.0.3-RHEL-6-20140430.4, although "--operatingsystem-ids" should have appropriate spacing, and I am wondering if we shouldn't put the required parameters in <>, i.e., 

    --audit-comment >AUDIT_COMMENT>


Can write up separate issues down the road but this one is ok -- insofar as the reported bug was fixed -- for now i guess.
Comment 7 Bryan Kearney 2014-07-02 10:09:49 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.
Comment 8 Bryan Kearney 2014-07-02 10:10:01 EDT
This was delivered in 6.0.3, the Beta version of Satellite 6.0
Comment 9 Bryan Kearney 2014-07-02 10:14:41 EDT
This was delivered in the Satellite 6 Beta (6.0.3)

Note You need to log in before you can comment on or make changes to this bug.